import * as at from '../actions/actionTypes'
import { extractStops } from '../helpers'


const initialState = {
  routes: [],
}

const reducer = (state = initialState, action) => {
  switch (action.type) {
    case at.ADD_URL:
      return {routes: state.routes.concat([extractStops(action.payload)])}

    case at.DELETE_ROUTE:
      return {routes: state.routes.filter((v, i) => i != action.payload)}

    case at.CLEAR_ROUTE:
      return {routes: state.routes.map((v, i) => i == action.payload ? [] : v)}

    case at.UPDATE_URL:
      return {routes: state.routes.map((v, i) => i == action.payload.index ?  extractStops(action.payload.url) : v)}

    default:
      return state
  }
}

export default reducer
